org.gradle.platform.base

## Interface PlatformContainer

- All Superinterfaces:
    Collection<Platform>, org.gradle.util.Configurable<NamedDomainObjectContainer<Platform>>, DomainObjectCollection<Platform>, ExtensiblePolymorphicDomainObjectContainer<Platform>, Iterable<Platform>, NamedDomainObjectCollection<Platform>, NamedDomainObjectContainer<Platform>, org.gradle.api.internal.rules.NamedDomainObjectFactoryRegistry<Platform>, NamedDomainObjectSet<Platform>, PolymorphicDomainObjectContainer<Platform>, Set<Platform>

      @Incubating
      public interface PlatformContainer
      extends ExtensiblePolymorphicDomainObjectContainer<Platform>

  A container of `Platform`s.

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.ExtensiblePolymorphicDomainObjectContainer

      `registerBinding, registerFactory, registerFactory`

    - ### Methods inherited from interface org.gradle.api.PolymorphicDomainObjectContainer

      `containerWithType, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getNamer, getNames, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`